<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'testimonial',

    /*
     * Modules.
     */
    'modules'   => ['testimonials'],

    
    'testimonials'       => [
        'model' => [
            'model' => \Litecms\Testimonial\Models\Testimonials::class,
            'repository' => \Litecms\Testimonial\Repositories\Eloquent\TestimonialsRepository::class,
            'table' => 'testimonials',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'designation',  'description',  'image',  'date',  'slug',  'status',  'user_id',  'user_type',  'upload_folder'],
            'translatables' => [],
            'upload_folder' => 'testimonial/testimonials',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Testimonial',
            'module' => 'Testimonials',
        ],
    ],
];
